%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define major	0
%define libname	%mklibname gtd %{major}
%define devname	%mklibname gtd -d

%bcond_with test

Name:		endeavour
Version:	43.0
Release:	%mkrel 3
Summary:	A simple to-do app for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://gitlab.gnome.org/World/Endeavour
Source0:	https://gitlab.gnome.org/World/Endeavour/-/archive/%{version}/Endeavour-%{version}.tar.gz
Patch100:	endeavour-install-lib.patch
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(rest-1.0)
Obsoletes:	gnome-todo < 42.0
Provides:	gnome-todo = %{version}-%{release}

%description
Endeavour (old GNOME To Do) is an intuitive and powerful application to manage
your personal tasks. It uses GNOME technologies and has complete integration
with the GNOME desktop environment.

%package -n %{libname}
Summary:	Shared libraries for Endeavour
Group:		System/Libraries

%description -n %{libname}
Endeavour (old GNOME To Do) is an intuitive and powerful application to manage
your personal tasks. It uses GNOME technologies and has complete integration
with the GNOME desktop environment.

%package -n %{devname}
Summary:	Development files needed to write plugins for Endeavour
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	gnome-todo-devel < 42.0

%description -n %{devname}
Development files needed to write plugins for Endeavour (old GNOME To Do).

%prep
%autosetup -p1 -n Endeavour-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%if %{with test}
%check
%meson_test
%endif

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.Todo*.*
%{_iconsdir}/hicolor/symbolic/actions/*.svg
%{_metainfodir}/org.gnome.Todo.appdata.xml

%files -n %{libname}
%{_libdir}/libgtd.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libgtd.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 43.0-3.mga10
+ Revision: 2221754
- Mageia 10 Mass Rebuild

* Thu Mar 28 2024 daviddavid <daviddavid> 43.0-2.mga10
+ Revision: 2052853
- rebuild for new evolution-data-server 3.52.0

* Tue Apr 25 2023 daviddavid <daviddavid> 43.0-1.mga9
+ Revision: 1954843
- new version 43.0
+ wally <wally>
- simplify lib install patch
- update descriptions
- update summary

* Sun Oct 09 2022 wally <wally> 42.0-1.mga9
+ Revision: 1895855
- rename as endeavour
- new version 42.0
- add patch to install lib

* Tue Sep 27 2022 wally <wally> 41.0-1.mga9
+ Revision: 1892738
- new version 41.0
- disable tests for now
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- new version 40.1
+ daviddavid <daviddavid>
- new version 40.0

* Sat Mar 27 2021 ovitters <ovitters> 3.28.1-11.mga9
+ Revision: 1711107
- rebuild for evolution-data-server

* Sat Jan 23 2021 tmb <tmb> 3.28.1-10.mga8
+ Revision: 1673102
- rebuild for new libical

* Thu Aug 13 2020 ovitters <ovitters> 3.28.1-9.mga8
+ Revision: 1613762
- rebuild for evolution-data-server

* Sun Feb 16 2020 umeabot <umeabot> 3.28.1-8.mga8
+ Revision: 1532189
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 3.28.1-7.mga8
+ Revision: 1441854
- rebuild for libpeas

* Wed Aug 21 2019 daviddavid <daviddavid> 3.28.1-6.mga8
+ Revision: 1430779
- add patch to build against newer evolution-data-server (libecal-2.0)

* Wed Aug 07 2019 tv <tv> 3.28.1-5.mga8
+ Revision: 1427965
- rebuild for new libpeas

* Wed Apr 17 2019 umeabot <umeabot> 3.28.1-4.mga7
+ Revision: 1392514
- Rebuild with meson 0.50.1

* Sat Mar 16 2019 daviddavid <daviddavid> 3.28.1-3.mga7
+ Revision: 1377833
- add upstream patch to fix build with new evolution-data-server
- rebuild for new evolution-data-server

* Sun Sep 23 2018 umeabot <umeabot> 3.28.1-2.mga7
+ Revision: 1297984
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1217067
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1215949
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208546
- new version 3.28.0

* Wed Feb 28 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205619
- switch to meson
- new version 3.27.90
- new version 3.26.2

* Thu Sep 21 2017 tv <tv> 3.26.1-5.mga7
+ Revision: 1156889
+ rebuild (emptylog)

* Thu Sep 21 2017 tv <tv> 3.26.1-4.mga7
+ Revision: 1156832
- revert to autoconf + fix filelist
- add missing BRs
- s/appdata/metainfo/
- use meson to build
- BR meson
+ ovitters <ovitters>
- new version 3.26.1
- new version 3.26.0
- new version 3.25.90

* Tue Jul 18 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1124696
- new version 3.24.2

* Tue May 09 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1099915
- new version 3.24.1

* Mon Apr 24 2017 ovitters <ovitters> 3.24.0.1-1.mga6
+ Revision: 1097257
- new version 3.24.0.1

* Mon Apr 24 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1097215
- new version 3.24.0
- drop merged patch gnome-todo-3.22.1-fix-linking.patch
- drop merged patch 0001-appdata-Fix-last-release-s-timestamp.patch

* Mon Jan 30 2017 daviddavid <daviddavid> 3.22.1-1.mga6
+ Revision: 1084282
- new version: 3.22.1
- rename and rebase linking patch
- add patch to fix the appdata file validation

* Sat Sep 24 2016 ovitters <ovitters> 3.20.2-2.mga6
+ Revision: 1055828
- rebuild to pay tribute to new evolution-data-server

* Thu May 26 2016 daviddavid <daviddavid> 3.20.2-1.mga6
+ Revision: 1018788
- add a patch to fix a linking issue
- add a devel subpackage
+ ovitters <ovitters>
- new version 3.20.2
- new version 3.20.1
- new version 3.20.0
- fix source url
+ tv <tv>
- use %%make_build
- verbose build
- update BRs
- easy "fix" for underlinking issues...
- BR pkgconfig(libpeas-1.0)
- drop merged patch
- new release

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.18.1-2.mga6
+ Revision: 927862
- rebuild for libical

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891358
- add group
- from fedora with small changes

